/// <reference types="react" />
import type { TLShape, TLPage, TLPageState, TLSettings, TLCallbacks, TLShapeUtils, TLTheme, TLBinding } from '../../types';
export interface RendererProps<T extends TLShape> extends Partial<TLSettings>, Partial<TLCallbacks> {
    shapeUtils: TLShapeUtils<T>;
    page: TLPage<T, TLBinding>;
    pageState: TLPageState;
    theme?: Partial<TLTheme>;
    hideBounds?: boolean;
    hideHandles?: boolean;
    hideIndicators?: boolean;
}
export declare function Renderer<T extends TLShape>({ shapeUtils, page, pageState, theme, hideHandles, hideIndicators, hideBounds, ...rest }: RendererProps<T>): JSX.Element;
